Rensei docs

Revoke a host binary consent (org admin, humans only).

Revoke a host binary consent (org admin, humans only). - Rensei REST API operation reference.

POST
/api/org/{orgId}/bridge-consents/{consentId}/revoke

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

orgId*string

Organization id (must match the authenticated org).

consentId*string

Consent id (bhc_<16hex>).

Response Body

Consent revoked.

application/json
  1. response
consent*
Example Request
curl -X POST 'https://app.rensei.ai/api/org/string/bridge-consents/string/revoke'
Example Response
{  "consent": {    "id": "string",    "hostId": "string",    "binaryName": "string",    "subcommandSet": [      "string"    ],    "subcommandSetSha256": "string",    "versionConstraint": "string",    "hostParams": {      "property1": "string",      "property2": "string"    },    "source": "string",    "consentedBy": "string",    "consentedAt": "string",    "revokedBy": "string",    "revokedAt": "string"  }}